edu.ucsb.nceas.metacat.accesscontrol

## Class AccessSection

- java.lang.Object
- - edu.ucsb.nceas.metacat.SubTree
  - - edu.ucsb.nceas.metacat.accesscontrol.AccessSection

- All Implemented Interfaces:
    java.util.Comparator

      public class AccessSection
      extends SubTree

  A Class that represents an XML access rule. It include principal and permission

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.SubTree

      `docId, endNodeId, startElementName, startNodeId, subTreeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessSection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAccessRule(AccessRule rule)` Add an access rule
    `void` | `copyPermOrderAndAccessRules(AccessSection newAccessSection)` Method to copy a accesssection object to a new one
    `java.util.Vector<AccessRule>` | `getAccessRules()` Get all access rule
    `java.lang.String` | `getControlLevel()` Get controllevel
    `java.lang.String` | `getDataFileName()` Get the dataFileName
    `java.util.Vector<java.lang.String>` | `getDescribedIdList()` Get a described id list
    `java.lang.String` | `getPermissionOrder()` Get permissionOrder
    `java.lang.String` | `getReferences()` Get the references
    `long` | `getStartedDescribesNodeId()` Get the start described id
    `java.util.Stack<NodeRecord>` | `getStoredTmpNodeStack()` Get storedTempNodeStack
    `void` | `setControlLevel(java.lang.String myLevel)` Set a controllevel
    `void` | `setDataFileName(java.lang.String fileName)` Set the dataFileName
    `void` | `setDescribedIdList(java.util.Vector<java.lang.String> list)` Set a described id list (in data access part)
    `void` | `setPermissionOrder(java.lang.String myOrder)` Set a permissionOrder
    `void` | `setReferences(java.lang.String myReferences)` Set a references
    `void` | `setStartedDescribesNodeId(long id)` Set the start "describes" node id
    `void` | `setStoredTmpNodeStack(java.util.Stack<NodeRecord> myStack)` Set a storedTempNodeStack

    - ### Methods inherited from class edu.ucsb.nceas.metacat.SubTree

      `compare, equals, getDocId, getEndNodeId, getStartElementName, getStartNodeId, getSubTreeId, getSubTreeNodeStack, setDocId, setEndNodeId, setStartElementName, setStartNodeId, setSubTreeId, setSubTreeNodeStack`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### AccessSection

          public AccessSection()

  - ### Method Detail

    - #### setStoredTmpNodeStack

          public void setStoredTmpNodeStack(java.util.Stack<NodeRecord> myStack)

      Set a storedTempNodeStack

    - #### getStoredTmpNodeStack

          public java.util.Stack<NodeRecord> getStoredTmpNodeStack()

      Get storedTempNodeStack

    - #### setControlLevel

          public void setControlLevel(java.lang.String myLevel)

      Set a controllevel

    - #### getControlLevel

          public java.lang.String getControlLevel()

      Get controllevel

    - #### setPermissionOrder

          public void setPermissionOrder(java.lang.String myOrder)

      Set a permissionOrder

    - #### getPermissionOrder

          public java.lang.String getPermissionOrder()

      Get permissionOrder

    - #### addAccessRule

          public void addAccessRule(AccessRule rule)

      Add an access rule

    - #### getAccessRules

          public java.util.Vector<AccessRule> getAccessRules()

      Get all access rule

    - #### setReferences

          public void setReferences(java.lang.String myReferences)

      Set a references

    - #### getReferences

          public java.lang.String getReferences()

      Get the references

    - #### setDescribedIdList

          public void setDescribedIdList(java.util.Vector<java.lang.String> list)

      Set a described id list (in data access part)

    - #### getDescribedIdList

          public java.util.Vector<java.lang.String> getDescribedIdList()

      Get a described id list

    - #### setStartedDescribesNodeId

          public void setStartedDescribesNodeId(long id)

      Set the start "describes" node id

    - #### getStartedDescribesNodeId

          public long getStartedDescribesNodeId()

      Get the start described id

    - #### setDataFileName

          public void setDataFileName(java.lang.String fileName)

      Set the dataFileName

    - #### getDataFileName

          public java.lang.String getDataFileName()

      Get the dataFileName

    - #### copyPermOrderAndAccessRules

          public void copyPermOrderAndAccessRules(AccessSection newAccessSection)

      Method to copy a accesssection object to a new one

Copyright © 2023 Regents of the University of California. All Rights Reserved.